import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { RoughAnnotation, RoughAnnotationConfig } from 'rough-notation/lib/model';
import { RoughNotationService } from './rough-notation.service';
export declare class RoughNotationDirective implements OnInit, OnDestroy {
    private hostElement;
    private renderer;
    private service;
    private readonly initialTextColor;
    private _show;
    set roughNotation(value: Partial<RoughAnnotationConfig> | string);
    set show(value: boolean);
    get show(): boolean;
    get instance(): RoughAnnotation;
    annotatedTextColor: string;
    isShowingChange: EventEmitter<boolean>;
    private showStateSubscription;
    constructor(hostElement: ElementRef<HTMLElement>, renderer: Renderer2, service: RoughNotationService);
    ngOnInit(): void;
    private setVisibility;
    toggle(): void;
    ngOnDestroy(): void;
}
